[Pkg-nagios-changes] [SCM] Debian packaging of icinga-web branch, master, updated. debian/1.8.0-1-7-g74b5d9b
Markus Frosch
markus at lazyfrosch.de
Mon Nov 12 23:15:32 UTC 2012
The following commit has been merged in the master branch:
commit 74b5d9b7e85e55aad997ba01358efd20e1c4e41f
Author: Markus Frosch <markus at lazyfrosch.de>
Date: Tue Nov 13 00:15:06 2012 +0100
password update now via flag, not a extra template
diff --git a/debian/icinga-web.config b/debian/icinga-web.config
index 28d9847..7236219 100644
--- a/debian/icinga-web.config
+++ b/debian/icinga-web.config
@@ -79,7 +79,7 @@ if [ "$dbconfig_there" = "true" ] && [ "$rootpassword_seen" != "true" ]; then
p2="$RET"
if [ "$p1" = "$p2" ]; then
passwordsmatch="yes"
- db_set icinga-web/rootpassword_changed true
+ db_fset icinga-web/rootpassword changed true
else
db_fset icinga-web/rootpassword seen false
db_fset icinga-web/rootpassword-repeat seen false
diff --git a/debian/icinga-web.postinst b/debian/icinga-web.postinst
index b3170b5..105b65a 100644
--- a/debian/icinga-web.postinst
+++ b/debian/icinga-web.postinst
@@ -140,7 +140,7 @@ setpassword() {
if dbc_mysql_exec_command "$query"; then
echo "root password updates successfully!"
- db_set icinga-web/rootpassword_changed false || true
+ db_fset icinga-web/rootpassword changed false || true
db_go || true
else
echo "setting root password failed: $dbc_error" >&2
@@ -154,7 +154,7 @@ setpassword() {
if _dbc_pgsql_exec_command "$query"; then
echo "root password updates successfully!"
- db_set icinga-web/rootpassword_changed false || true
+ db_fset icinga-web/rootpassword changed false || true
db_go || true
else
echo "setting root password failed: $dbc_error" >&2
@@ -170,8 +170,8 @@ setpassword() {
db_get icinga-web/dbconfig-install || true
if [ "$RET" = "true" ]; then
- db_get icinga-web/rootpassword_changed || true
- if [ "$RET" = "true" ]; then
+ db_fget icinga-web/rootpassword changed || true
+ if [ "$RET" != "false" ]; then
db_get icinga-web/rootpassword || true
if [ "$RET" != "" ]; then
setpassword $RET
diff --git a/debian/icinga-web.templates b/debian/icinga-web.templates
index e5ecd99..bc3756e 100644
--- a/debian/icinga-web.templates
+++ b/debian/icinga-web.templates
@@ -40,6 +40,3 @@ Type: error
_Description: Password input error
The two passwords you entered were not the same. Please try again.
-Template: icinga-web/rootpassword_changed
-Type: boolean
-
--
Debian packaging of icinga-web
More information about the Pkg-nagios-changes
mailing list